<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Se usa para acceder a la consulta de avalúos en proceso desde 
                el menu          
                        
@cu 			CU-SA-AC-153 

  
@ManagedBean 	
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="../../templates/generalCU.xhtml"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consultar Solicitudes de Avalúos en Proceso::.
    </ui:define>

    <ui:define name="content">
        <h:panelGrid width="100%">

            <ui:include src="/avaluos/radicacion/consultaSolicitudesAvaluosEnProceso.xhtml">
                <ui:param name="usadoDesdeCancelacionParam"
                          value="false" />
            </ui:include>

        </h:panelGrid>

        <p:dialog widgetVar="infoDeptosMunisWV" header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="deptoDialog"
                  dynamic="true" width="500">
            <ui:include src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml"/>
        </p:dialog>

        <p:dialog widgetVar="prediosWV" header="Información predial del avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="pdsDialog"
                  dynamic="true" width="900">
            <ui:include src="/avaluos/transversal/consultarInformacionPredial.xhtml">
                <ui:param name="detallesPredioCadenaIdsParam"
                          value=":dpCC:detallesPredioTV" />
            </ui:include>
        </p:dialog>

        <p:dialog widgetVar="infoAvaluadoresAsignadosWV" header="Profesionales de avalúos"
                  appendToBody="true" closable="true" minimizable="false"
                  id="avaluadoresDialog"
                  dynamic="true" width="750">
            <ui:include src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml"/>
        </p:dialog>

        <avaluos:informacionSolicitudCC id="isCC" 
                                        thisWVName="infoSolicitudCCWV" 
                                        thisId="isCC" 
                                        mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV"
                                        detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV"
                                        infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="988" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="../util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>


        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{administracionDocumentacionAvaluoComercial.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 mostrarFichaPredial="true"
                                 thisIdPlusColon=":dpCC" />

        <ui:include src="/util/visorGeografico.xhtml" />

    </ui:define>

</ui:composition>
